import { makeGroupItemProps, useGroupItem } from "../../composables/group/index.mjs";
import { SlideGroupKey } from "./slide-group.mjs";
import { defineComponent } from "../../utils/define-component.mjs";
const SlideGroupItem = defineComponent({
  name: "VeSlideGroupItem",
  props: {
    ...makeGroupItemProps()
  },
  setup(props, {
    slots
  }) {
    const group = useGroupItem(props, SlideGroupKey);
    return () => {
      var _a;
      return (_a = slots.default) == null ? void 0 : _a.call(slots, {
        isSelected: group.isSelected.value,
        select: group.select
      });
    };
  }
});
export {
  SlideGroupItem
};
//# sourceMappingURL=slide-group-item.mjs.map
