import "./veno-ui/src/styles/main.scss";
import * as index from "./components/index.mjs";
import * as index$1 from "./directives/index.mjs";
import * as index$2 from "./providers/index.mjs";
import * as index$3 from "./utils/index.mjs";
import { createVeno as createVeno$1 } from "./framework.mjs";
import { VenoUiResolver } from "./resolver.mjs";
import { createDate, defaultDateFormat } from "./composables/date/date.mjs";
import { useDisplay } from "./composables/display/index.mjs";
import { useTheme } from "./composables/theme/index.mjs";
import { useLayout } from "./composables/layout/layout.mjs";
import { message, useMessage } from "./composables/message/index.mjs";
const createVeno = (options = {}) => {
  return createVeno$1({ components: index, directives: index$1, providers: index$2, ...options });
};
export {
  VenoUiResolver,
  index as components,
  createDate,
  createVeno,
  defaultDateFormat,
  index$1 as directives,
  message,
  index$2 as providers,
  useDisplay,
  useLayout,
  useMessage,
  useTheme,
  index$3 as utils
};
//# sourceMappingURL=entry.mjs.map
