import type { DefineComponent, PropType, VNode, RendererNode, RendererElement, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
export declare type ToolbarItems = InstanceType<typeof ToolbarItems>;
export declare const ToolbarItems: DefineComponent<{
    color: StringConstructor;
    textColor: StringConstructor;
    variant: Omit<{
        type: PropType<"text" | "contained" | "outlined" | "plain" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    }, "default" | "type"> & {
        type: PropType<NonNullable<"text" | "contained" | "outlined" | "plain" | "contained-text" | "contained-outlined">>;
        default: NonNullable<"text" | "contained" | "outlined" | "plain" | "contained-text" | "contained-outlined">;
    };
}, () => VNode<RendererNode, RendererElement, {
    [key: string]: any;
}>[] | undefined, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    color: StringConstructor;
    textColor: StringConstructor;
    variant: Omit<{
        type: PropType<"text" | "contained" | "outlined" | "plain" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    }, "default" | "type"> & {
        type: PropType<NonNullable<"text" | "contained" | "outlined" | "plain" | "contained-text" | "contained-outlined">>;
        default: NonNullable<"text" | "contained" | "outlined" | "plain" | "contained-text" | "contained-outlined">;
    };
}>>, {
    variant: NonNullable<"text" | "contained" | "outlined" | "plain" | "contained-text" | "contained-outlined">;
}>;
//# sourceMappingURL=toolbar-items.d.ts.map